import { Ref } from 'vue';
import { ConditionsType } from './types';
declare type FetcherType = (params: ConditionsType) => Promise<any>;
interface Config {
    fetcher: FetcherType;
    conditions: ConditionsType;
    defaultParams?: ConditionsType;
    beforeFetch?: (conditions: ConditionsType) => ConditionsType;
}
interface ResultInterface {
    conditions: {
        [x: string]: any;
    };
    loading: Ref<boolean | false>;
    data: Ref<any | null>;
    refresh: Ref<() => void>;
    error: Ref<any | null>;
}
export default function useConditionWatcher<T extends Config>(config: T): ResultInterface;
export {};
